package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseStoreInfo;

/**
 * 仓库信息Service接口
 * 
 * @author Yinq
 * @date 2023-09-20
 */
public interface IBaseStoreInfoService 
{
    /**
     * 查询仓库信息
     * 
     * @param objId 仓库信息主键
     * @return 仓库信息
     */
    public BaseStoreInfo selectBaseStoreInfoByObjId(Long objId);

    /**
     * 查询仓库信息列表
     * 
     * @param baseStoreInfo 仓库信息
     * @return 仓库信息集合
     */
    public List<BaseStoreInfo> selectBaseStoreInfoList(BaseStoreInfo baseStoreInfo);

    /**
     * 新增仓库信息
     * 
     * @param baseStoreInfo 仓库信息
     * @return 结果
     */
    public int insertBaseStoreInfo(BaseStoreInfo baseStoreInfo);

    /**
     * 修改仓库信息
     * 
     * @param baseStoreInfo 仓库信息
     * @return 结果
     */
    public int updateBaseStoreInfo(BaseStoreInfo baseStoreInfo);

    /**
     * 批量删除仓库信息
     * 
     * @param objIds 需要删除的仓库信息主键集合
     * @return 结果
     */
    public int deleteBaseStoreInfoByObjIds(Long[] objIds);

    /**
     * 删除仓库信息信息
     * 
     * @param objId 仓库信息主键
     * @return 结果
     */
    public int deleteBaseStoreInfoByObjId(Long objId);
}
